<?php

/**
 * @file
 * Zoundation block grid style plugin.
 *
 * @see http://foundation.zurb.com/docs/grid.php#block-grids
 */

/**
 * Style plugin to render rows in a block-grid.
 *
 * @ingroup views_style_plugins
 */
class views_plugin_style_zoundation_views_block_grid extends views_plugin_style {
  /**
   * Set default options
   */
  function option_definition() {
    $options = parent::option_definition();

    $options['gridsize'] = array('default' => 4);
    $options['mobile_gridsize'] = array('default' => 2);

    return $options;
  }

  /**
   * Render the given style.
   */
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    // array keyed by number 1-12
    $sizes = array_combine(range(1,12), range(1,12));

    $form['gridsize'] = array(
      '#type' => 'select',
      '#title' => t('Grid size'),
      '#options' => $sizes,
      '#default_value' => $this->options['gridsize'],
    );

    $form['mobile_gridsize'] = array(
      '#type' => 'select',
      '#title' => t('Mobile grid size'),
      '#options' => $sizes,
      '#default_value' => $this->options['mobile_gridsize'],
    );
  }
}
